Public Member Functions | Public Attributes | Friends | List of all members
RagTimeSpreadsheetInternal::CellExtra Struct Reference

Internal: extra cell format of a RagTimeSpreadsheet (SpCe block) More...

## Public Member Functions
| CellExtra ()
| constructor More...
void | update (Cell &cell) const
| update the cell color if need More...

## Public Attributes
bool | m_isTransparent
| true if the cell is transparent More...
MWAWColor | m_color
| the background color More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellExtra const &st)
| operator<< More...

## Detailed Description

Internal: extra cell format of a RagTimeSpreadsheet (SpCe block)

## Constructor & Destructor Documentation

## ◆ CellExtra()

RagTimeSpreadsheetInternal::CellExtra::CellExtra | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ update()

void RagTimeSpreadsheetInternal::CellExtra::update | ( | Cell & | cell | ) | const

update the cell color if need

Referenced by RagTimeSpreadsheet::readSpreadsheetCellFormat().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellExtra const & | st
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_color

MWAWColor RagTimeSpreadsheetInternal::CellExtra::m_color

the background color

Referenced by RagTimeSpreadsheet::readResource().

## ◆ m_extra

std::string RagTimeSpreadsheetInternal::CellExtra::m_extra

extra data

Referenced by RagTimeSpreadsheet::readResource().

## ◆ m_isTransparent

bool RagTimeSpreadsheetInternal::CellExtra::m_isTransparent

true if the cell is transparent

Referenced by RagTimeSpreadsheet::readResource().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx